package com.zg.project.information.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zg.project.information.mapper.StockOutTypeMapper;
import com.zg.project.information.domain.StockOutType;
import com.zg.project.information.service.IStockOutTypeService;

/**
 * 出库类型Service业务层处理
 * 
 * @author zg
 * @date 2025-06-09
 */
@Service
public class StockOutTypeServiceImpl implements IStockOutTypeService 
{
    @Autowired
    private StockOutTypeMapper stockOutTypeMapper;

    /**
     * 查询出库类型
     * 
     * @param id 出库类型主键
     * @return 出库类型
     */
    @Override
    public StockOutType selectStockOutTypeById(Long id)
    {
        return stockOutTypeMapper.selectStockOutTypeById(id);
    }

    /**
     * 查询出库类型列表
     * 
     * @param stockOutType 出库类型
     * @return 出库类型
     */
    @Override
    public List<StockOutType> selectStockOutTypeList(StockOutType stockOutType)
    {
        return stockOutTypeMapper.selectStockOutTypeList(stockOutType);
    }

    /**
     * 新增出库类型
     * 
     * @param stockOutType 出库类型
     * @return 结果
     */
    @Override
    public int insertStockOutType(StockOutType stockOutType)
    {
        return stockOutTypeMapper.insertStockOutType(stockOutType);
    }

    /**
     * 修改出库类型
     * 
     * @param stockOutType 出库类型
     * @return 结果
     */
    @Override
    public int updateStockOutType(StockOutType stockOutType)
    {
        return stockOutTypeMapper.updateStockOutType(stockOutType);
    }

    /**
     * 批量删除出库类型
     * 
     * @param ids 需要删除的出库类型主键
     * @return 结果
     */
    @Override
    public int deleteStockOutTypeByIds(Long[] ids)
    {
        return stockOutTypeMapper.deleteStockOutTypeByIds(ids);
    }

    /**
     * 删除出库类型信息
     * 
     * @param id 出库类型主键
     * @return 结果
     */
    @Override
    public int deleteStockOutTypeById(Long id)
    {
        return stockOutTypeMapper.deleteStockOutTypeById(id);
    }
}
